<?php
/**
 * The template for displaying the footer.
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package pando
 */

?>

	<!-- Footer
	================================================== -->

	<footer id="colophon" class="site-footer" role="contentinfo">
		<?php if ( is_active_sidebar( 'widgets-footer-1' ) || is_active_sidebar( 'widgets-footer-2' ) || is_active_sidebar( 'widgets-footer-3' ) || is_active_sidebar( 'widgets-footer-4' ) ){ ?>
		<?php
			$bg_image = get_theme_mod( 'footer_bg_image', '' );
		?>
		<!-- footer top -->
		<div class="footer-top" style="background-image: url(<?php echo esc_url($bg_image); ?>);">
			<div class="container">
				<!-- row -->
				<div class="row">
					<!-- col -->
					<div class="col-sm-3">
						<?php if ( ! is_active_sidebar( 'footer-1' ) ) : ?>
							<?php dynamic_sidebar( 'footer-1' ); ?>
						<?php endif; ?>
					</div>
					<!-- /col -->
					<!-- col -->
					<div class="col-sm-3">
						<?php if ( ! is_active_sidebar( 'footer-2' ) ) : ?>
							<?php dynamic_sidebar( 'footer-2' ); ?>
						<?php endif; ?>
					</div>
					<!-- /col -->
					<!-- col -->
					<div class="col-sm-3">
						<?php if ( ! is_active_sidebar( 'footer-3' ) ) : ?>
							<?php dynamic_sidebar( 'footer-3' ); ?>
						<?php endif; ?>
					</div>
					<!-- /col -->
					<!-- col -->
					<div class="col-sm-3">
						<?php if ( ! is_active_sidebar( 'footer-4' ) ) : ?>
							<?php dynamic_sidebar( 'footer-4' ); ?>
						<?php endif; ?>
					</div>
					<!-- /col -->
				</div>
				<!-- /row -->
			</div>
		</div>
		<?php } ?>
		<!-- /footer top -->
		<!-- footer bottom -->
		<?php if ( true == get_theme_mod( 'botbar_check', true ) ) : ?>
		<div class="footer-bottom">
			<div class="container">
				<!-- row -->
				<div class="row">
					<!-- col -->
					<div class="col-sm-8">
						<!-- Site Info -->
						<div class="site-quote">
							<p><?php echo wp_kses_post( get_theme_mod( 'footer_bottom_text', '' ) ); ?> <span class="wppug-link"> | <?php echo esc_html(' Powered by '); ?> <a href="https://wppug.com/" rel="nofollow"><?php echo esc_html('PandoWP WordPress Theme'); ?></a></span></p>
						</div>
						<!-- /Site info -->
					</div>
					<!-- /col -->
					<!-- col -->
					<div class="col-sm-4">
						<!-- social icons -->
            			<div class="social-icons footer-social-icons">
                            <ul class="social-icons-list text-right">
                            	<?php if ( true == get_theme_mod( 'facebook_check', true ) ) : ?>
									<li><a href="<?php echo esc_url( get_theme_mod( 'facebook', '#' ) ); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
								<?php endif; ?>
								<?php if ( true == get_theme_mod( 'twitter_check', true ) ) : ?>
									<li><a href="<?php echo esc_url( get_theme_mod( 'twitter', '#' ) ); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
								<?php endif; ?>
			                    <?php if ( true == get_theme_mod( 'instagram_check', true ) ) : ?>
									<li><a href="<?php echo esc_url( get_theme_mod( 'instagram', '#' ) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
								<?php endif; ?>
			                    <?php if ( true == get_theme_mod( 'youtube_check', true ) ) : ?>
									<li><a href="<?php echo esc_url( get_theme_mod( 'youtube', '#' ) ); ?>" target="_blank"><i class="fa fa-youtube"></i></a></li>
								<?php endif; ?>
								<?php if ( true == get_theme_mod( 'gplus_check', true ) ) : ?>
									<li><a href="<?php echo esc_url( get_theme_mod( 'gplus', '#' ) ); ?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
								<?php endif; ?>
                            </ul>
                        </div>
            			<!-- /social icons -->    
					</div>
					<!-- /col -->
				</div>
				<!-- /row -->				
			</div>
		</div>
		<?php endif; ?>
		<!-- /footer bottom -->		
	</footer>
	<!-- /Footer
	================================================== -->
	
</div><!-- #page -->

<!-- Back to Top Button -->
<div id="back-to-top" class="back-to-top back-to-top-hide"><i class="fa fa-angle-up"></i></div>
<!-- /Back to Top Button -->

<?php wp_footer(); ?>
</body>
</html>
