<?php
/**
 * Woocommerce Configuration
 *
 * @package pando
 */
//remove function attached to woocommerce_before_main_content hook
remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10 );
 
//remove function attached to woocommerce_after_main_content hook
remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10 );

//remove Add tpo cart from woocommerce_after_shop_loop_item hook and add to woocommerce_before_shop_loop_item_title hook.
remove_action( 'woocommerce_after_shop_loop_item', 'woocommerce_template_loop_add_to_cart', 10 );
add_action( 'woocommerce_before_shop_loop_item_title', 'woocommerce_template_loop_add_to_cart', 10 );

//adding sidebar
function pandoprefix_woocommerce_config() {
	
	//WooCommerce Sidebar
	register_sidebar( array(
		'name'          => esc_html__( 'WooCommerce Sidebar', 'pandowp' ),
		'id'            => 'sidebarwoo',
		'description'   =>  esc_html__( 'Widgets will be shown on the shop sidebar. Leave it empty to hide.', 'pandowp' ),
		'before_widget' => '<section id="%1$s" class="widget %2$s">',
		'after_widget'  => '</section>',
		'before_title'  => '<h2 class="widget-title">',
		'after_title'   => '</h2>',
	) );	

}

if ( class_exists( 'woocommerce' ) ) {
  add_action( 'widgets_init', 'pandoprefix_woocommerce_config' );
}

//Declare WooCommerce Support
add_action( 'after_setup_theme', 'woocommerce_support' );
function woocommerce_support() {
    add_theme_support( 'woocommerce' );
    //add_theme_support( 'wc-product-gallery-zoom' );
	add_theme_support( 'wc-product-gallery-lightbox' );
	add_theme_support( 'wc-product-gallery-slider' );
}

//Header Cart
function pandoprefix_add_to_cart_fragment( $fragments ) {
 
    ob_start();
    $count = WC()->cart->cart_contents_count;
    ?><a class="cart-contents" href="<?php echo esc_url(WC()->cart->get_cart_url() ) ?>" title="<?php echo esc_html( 'View your shopping cart', 'pandowp' ); ?>"><?php
    if ( $count > 0 ) {
        ?>
        <span class="cart-contents-count"><?php echo esc_html( $count ); ?></span>
        <?php            
    }
        ?></a><?php
 
    $fragments['a.cart-contents'] = ob_get_clean();
     
    return $fragments;
}

if ( class_exists( 'woocommerce' ) ) {
	add_filter( 'woocommerce_add_to_cart_fragments', 'pandoprefix_add_to_cart_fragment' );
}

//Images sizes
function pandoprefix_woocommerce_image_dimensions() {
	global $pagenow;
 
	if ( ! isset( $_GET['activated'] ) || $pagenow != 'themes.php' ) {
		return;
	}
  	$catalog = array(
		'width' 	=> '400',	// px
		'height'	=> '400',	// px
		'crop'		=> 1 		// true
	);
	$single = array(
		'width' 	=> '600',	// px
		'height'	=> '600',	// px
		'crop'		=> 1 		// true
	);
	$thumbnail = array(
		'width' 	=> '120',	// px
		'height'	=> '120',	// px
		'crop'		=> 1 		// false
	);
	// Image sizes
	update_option( 'shop_catalog_image_size', $catalog ); 		// Product category thumbs
	update_option( 'shop_single_image_size', $single ); 		// Single product image
	update_option( 'shop_thumbnail_image_size', $thumbnail ); 	// Image gallery thumbs
}

if ( class_exists( 'woocommerce' ) ) {
	add_action( 'after_switch_theme', 'pandoprefix_woocommerce_image_dimensions', 1 );
}