<?php
// theme class: bearr_theme_Kirki
// config: bearr_theme_kc
//main config
bearr_theme_Kirki::add_config( 'bearr_theme_kc', array(
	'capability'    => 'edit_theme_options',
	'option_type'   => 'theme_mod',
) );

/*
** PANELS ==================================================
*/

//General
bearr_theme_Kirki::add_panel( 'bearr_general', array(
    'priority'    => 10,
    'title'       => esc_html__( 'PandoWP: Theme Options', 'pandowp' ),
    'description' => esc_html__( 'Customization here', 'pandowp' ),
) );

/*
** SECTIONS ==================================================
*/

//General
bearr_theme_Kirki::add_section( 'bearr_general_settings', array(
    'title'          => esc_html__( 'General Settings', 'pandowp'),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Layout
bearr_theme_Kirki::add_section( 'bearr_layout', array(
    'title'          => esc_html__( 'Layout', 'pandowp'),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Color Scheme
bearr_theme_Kirki::add_section( 'bearr_colors', array(
    'title'          => esc_html__( 'Color Scheme' , 'pandowp'),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Typography
bearr_theme_Kirki::add_section( 'bearr_typography', array(
    'title'          => esc_html__( 'Tipography', 'pandowp'),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Page Loader
bearr_theme_Kirki::add_section( 'bearr_pageloader', array(
    'title'          => esc_html__( 'Page loader', 'pandowp'),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Header
bearr_theme_Kirki::add_section( 'bearr_header', array(
    'title'          => esc_html__( 'Header', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Footer
bearr_theme_Kirki::add_section( 'bearr_footer', array(
    'title'          => esc_html__( 'Footer', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Page Heading
bearr_theme_Kirki::add_section( 'bearr_page_heading', array(
    'title'          => esc_html__( 'Page/Post Heading', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Page Heading
bearr_theme_Kirki::add_section( 'bearr_blog', array(
    'title'          => esc_html__( 'Blog', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );


//Social Networks
bearr_theme_Kirki::add_section( 'bearr_social', array(
    'title'          => esc_html__( 'Social Networks', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//WooCommerce
bearr_theme_Kirki::add_section( 'bearr_woocommerce', array(
    'title'          => esc_html__( 'WooCommerce', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

//Extra Options
bearr_theme_Kirki::add_section( 'bearr_extra', array(
    'title'          => esc_html__( 'Extra Options', 'pandowp' ),
    //'description'    => esc_html__( '', 'theme_textdomain' ),
    'panel'          => 'bearr_general', // Not typically needed.
    'priority'       => 160,
    'capability'     => 'edit_theme_options',
    'theme_supports' => '', // Rarely needed.
) );

/*
** CONTROLS ==================================================
*/

//>> General Settings: Layout Style ==================
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'layout_custom',
	'label'       => esc_html__( 'Layout Style', 'pandowp' ),
	'section'     => 'bearr_layout',
	'default'     => 'sidebar_right',
	'priority'    => 10,
	'choices'     => array(
		'no_sidebar'   => esc_attr__( 'No Sidebar', 'pandowp' ),
		'sidebar_left' => esc_attr__( 'Sidebar on left', 'pandowp' ),
		'sidebar_right'  => esc_attr__( 'Sidebar on right', 'pandowp' ),
	),
) );

//>> General Settings: Layout Style ==================
/*bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'layout_blog_style',
	'label'       => esc_html__( 'Blog Style', 'pandowp' ),
	'section'     => 'bearr_layout',
	'default'     => 'default',
	'priority'    => 10,
	'choices'     => array(
		'default'   => esc_attr__( 'Default', 'pandowp' ),
		'masonry' => esc_attr__( 'Masonry', 'pandowp' ),
	),
) );*/

//>> General Settings: Elements
/*bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'general_page_transition',
	'label'       => esc_html__( 'Fade Transition Between Pages', 'pandowp' ),
	'section'     => 'bearr_layout',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => array(		
		'on' => esc_attr__( 'On', 'pandowp' ),
		'off'  => esc_attr__( 'Off', 'pandowp' ),
	),
) );*/

//>> General Settings: Elements Style ==================
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'layout_elements_style',
	'label'       => esc_html__( 'Content Elements Style', 'pandowp' ),
	'section'     => 'bearr_layout',
	'default'     => 'boxed',
	'priority'    => 10,
	'choices'     => array(		
		'boxed' => esc_attr__( 'Boxed', 'pandowp' ),
		'normal'  => esc_attr__( 'Normal', 'pandowp' ),
	),
) );

//>> General Settings: Elements Border
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'general_elements_border',
	'label'       => esc_html__( 'Use Border On Boxed Elements', 'pandowp' ),
	'section'     => 'bearr_layout',
	'default'     => 'off',
	'priority'    => 10,
	'choices'     => array(		
		'on' => esc_attr__( 'On', 'pandowp' ),
		'off'  => esc_attr__( 'Off', 'pandowp' ),
	),
	'active_callback'    => array(
		array(
			'setting'  => 'layout_elements_style',
			'operator' => '==',
			'value'    => 'boxed',
		),
	),
) );

//>> General Settings: Elements Border Radius
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'slider',
	'settings'    => 'general_elements_border_radius',
	'label'       => esc_html__( 'Rounded Borders On Boxed Elements (pixels)', 'pandowp' ),
	'section'     => 'bearr_layout',
	'default'     => '6',
	'priority'    => 10,
	'choices'     => array(
		'min'  => 0,
		'max'  => 30,
		'step' => 1,
	),
	'active_callback'    => array(
		array(
			'setting'  => 'layout_elements_style',
			'operator' => '==',
			'value'    => 'boxed',
		),
	),
	
) );

//>> Color Scheme ========================================================================

//Color 1
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'color_one',
	'label'       => esc_html__( 'Accent Color', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#395abd',
	'priority'    => 10,
	'choices[alpha]'       => false,
) );

//Color 2
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'color_two',
	'label'       => esc_html__( 'Color 2', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#281b9f',
	'priority'    => 10,
	'choices[alpha]'       => false,
) );

//Titles Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'color_title',
	'label'       => esc_html__( 'Title Color', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#393939',
	'priority'    => 10,
	'choices[alpha]'       => false,
) );

//Text Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'color_text',
	'label'       => esc_html__( 'Text Color', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#555555',
	'priority'    => 10,
	'choices[alpha]'       => false,
) );


// >> Body Background Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'body_bg',
	'label'       => esc_html__( 'Custom Background Color', 'pandowp' ),
	'description' => esc_html__( 'Change the background color of entire site.', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#f4f4f4',
	'priority'    => 10,
	'choices[alpha]'       => true,	
) );


// >> Body Background Image
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'image',
	'settings'    => 'body_bg_image',
	'label'       => esc_html__( 'Custom Background Image', 'pandowp' ),
	'description' => esc_html__( 'You can use a background image too if you want.', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '',
	'priority'    => 10,	
) );

//>> Elements Color Style
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'general_color_style',
	'label'       => esc_html__( 'Color style of elements', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => 'gradient',
	'priority'    => 10,
	'choices'     => array(		
		'gradient' => esc_attr__( 'Gradient', 'pandowp' ),
		'flat'  => esc_attr__( 'Flat', 'pandowp' ),
	),
) );


//Boxed Elements BG
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'boxed_elements_bg',
	'label'       => esc_html__( 'Boxed Elements: BG Color', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices[alpha]'       => false,
	'active_callback'    => array(
		array(
			'setting'  => 'layout_elements_style',
			'operator' => '==',
			'value'    => 'boxed',
		),
	),
) );


// >> Blog - Custom BG
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'blog_custom_bg',
	'label'    => esc_html__( 'Use custom blog background?', 'pandowp' ),
	'description' => esc_html__( 'Enable this to use a different background for blog pages.', 'pandowp' ),
	'section'  => 'bearr_colors',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '0',	
) );

// >> Blog - Background Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'blog_bg',
	'label'       => esc_html__( 'Blog: Custom Background Color', 'pandowp' ),
	'description' => esc_html__( 'A custom background color for default WordPress pages. It will not affect the page builder template.', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '#f4f4f4',
	'priority'    => 10,
	'choices[alpha]'       => true,
	'active_callback'    => array(
		array(
			'setting'  => 'blog_custom_bg',
			'operator' => '==',
			'value'    => 1,
		),
	),
) );

// >> Blog - Background Image
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'image',
	'settings'    => 'blog_bg_image',
	'label'       => esc_html__( 'Blog: Custom Background Image', 'pandowp' ),
	'description' => esc_html__( 'You can use a background image if you want.', 'pandowp' ),
	'section'     => 'bearr_colors',
	'default'     => '',
	'priority'    => 10,	
	'active_callback'    => array(
		array(
			'setting'  => 'blog_custom_bg',
			'operator' => '==',
			'value'    => 1,
		),
	),
) );


//>> Typography ==================

// >> Force Uppercase
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'typography_forcecase',
	'label'    => esc_html__( 'Auto Uppercase on titles?', 'pandowp' ),
	'description' => esc_html__( 'Select that you want to uppercase automatically the titles and buttons.', 'pandowp' ),
	'section'  => 'bearr_typography',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',	
) );

//font 1 (titles)
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'typography',
	'settings'    => 'font1',
	'label'       => esc_attr__( 'Headings', 'pandowp' ),
	'section'     => 'bearr_typography',
	'default'     => array(
		'font-family'    => 'Poppins',
		'variant'        => 'bold',
		//'font-size'      => '14px',
		//'line-height'    => '1.5',
		//'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		//'color'          => '#333333',
		//'text-transform' => 'none',
		//'text-align'     => 'left'
	),
	'priority'    => 10,
) );

//font2 (texts)
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'typography',
	'settings'    => 'font2',
	'label'       => esc_attr__( 'Body', 'pandowp' ),
	'section'     => 'bearr_typography',
	'default'     => array(
		'font-family'    => 'Poppins',
		'variant'        => 'regular',
		//'font-size'      => '14px',
		//'line-height'    => '1.5',
		//'letter-spacing' => '0',
		'subsets'        => array( 'latin-ext' ),
		//'color'          => '#333333',
		//'text-transform' => 'none',
		//'text-align'     => 'left'
	),
	'priority'    => 10,
) );

//>> Page Loader ======================
//Loader Check
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'loader_check',
	'label'    => esc_html__( 'Show Page loader?', 'pandowp' ),
	'section'  => 'bearr_pageloader',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '0',
) );

//>> Loader Style
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'loader_style',
	'label'       => esc_html__( 'Color style of elements', 'pandowp' ),
	'section'     => 'bearr_pageloader',
	'default'     => 'style5',
	'priority'    => 10,
	'choices'     => array(		
		'style1' => esc_attr__( 'Style 1: Animated Circle', 'pandowp' ),
		'style2'  => esc_attr__( 'Style 2: Loading Dots', 'pandowp' ),
		'style3' => esc_attr__( 'Style 3: Hourglass', 'pandowp' ),
		'style4'  => esc_attr__( 'Style 4: Balls', 'pandowp' ),
		'style5'  => esc_attr__( 'Style 5: Smile', 'pandowp' ),
	),
) );

//Loader Bg
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'loader_bg_color',
	'label'       => esc_html__( 'Loader Bg Color', 'pandowp' ),
	'section'     => 'bearr_pageloader',
	'default'     => '#1abc9c',
	'priority'    => 10,
	'choices[alpha]'       => true,
) );

//Page Loader: Logo
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'image',
	'settings'    => 'loader_logo',
	'label'       => esc_html__( 'Page Loader: Logo', 'pandowp' ),
	//'description' => esc_html__( 'You can use a background image (like a pattern) if you want. ', 'pandowp' ),
	//'help'        => esc_html__( 'This is some extra help text.', 'pandowp' ),
	'section'     => 'bearr_pageloader',
	'default'     => '',
	'priority'    => 10,
) );



//>> Header ======================
//Show Header
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'header_check',
	'label'    => esc_html__( 'Show Header?', 'pandowp' ),
	'section'  => 'bearr_header',
	'type'     => 'toggle',
	'priority' => 9,
	'default'     => '1',
) );

//Show Top bar
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'topbar_check',
	'label'    => esc_html__( 'Show Top bar?', 'pandowp' ),
	'section'  => 'bearr_header',
	'type'     => 'toggle',
	'priority' => 9,
	'default'     => '0',
) );

//Header Wrapper
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'header_style',
	'label'       => esc_html__( 'Header Style', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => 'container',
	'priority'    => 9,
	'choices'     => array(
		'container'   => esc_attr__( 'Container', 'pandowp' ),
		'fluid' => esc_attr__( 'Fluid', 'pandowp' ),
	),
) );

//Show Woocommerce Cart
if ( class_exists( 'woocommerce' ) ) {
	bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
		'settings' => 'topcart_check',
		'label'    => esc_html__( 'Show Woocommerce Cart on Header?', 'pandowp' ),
		'section'  => 'bearr_header',
		'type'     => 'toggle',
		'priority' => 9,
		'default'     => '1',
	) );
}

// >> Fixed Header
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'header_fixed',
	'label'    => esc_html__( 'Fixed header on scroll?', 'pandowp' ),
	'description' => esc_html__( 'Enable this if you want a fixed header.', 'pandowp' ),
	'section'  => 'bearr_header',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',	
) );

//>> Menu Style  ==================
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'radio',
	'settings'    => 'menu_style',
	'label'       => esc_html__( 'Menu Style', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => 'clean',
	'priority'    => 10,
	'choices'     => array(		
		'clean' => esc_attr__( 'Clean', 'pandowp' ),
		'bordered'  => esc_attr__( 'With Border', 'pandowp' ),
		'borderedtop' => esc_attr__( 'On Mouseover: Border on Top', 'pandowp' ),
		'borderedbottom'  => esc_attr__( 'On Mouseover: Border bottom', 'pandowp' ),
		'withbg'  => esc_attr__( 'On Mouseover: Background Color', 'pandowp' ),
	),
) );

//Header - Background
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'header_bg',
	'label'       => esc_html__( 'Header: Background Color', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices[alpha]'       => true,
) );

//Header - Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'header_color',
	'label'       => esc_html__( 'Header: link color', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => '#333333',
	'priority'    => 10,
	'choices[alpha]'       => true,
) );

//Header - Color hover
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'header_color_hover',
	'label'       => esc_html__( 'Header: hover state link color', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => '#333333',
	'priority'    => 10,
	'choices[alpha]'       => true,
) );

//Header - Top Bar Background
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'topbar_bg',
	'label'       => esc_html__( 'Top Bar: Background Color', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => '#111111',
	'priority'    => 10,
	'choices[alpha]'       => true,
	'active_callback'    => array(
		array(
			'setting'  => 'topbar_check',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

//Header - Top Bar Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'topbar_color',
	'label'       => esc_html__( 'Top Bar: Text color', 'pandowp' ),
	'section'     => 'bearr_header',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices[alpha]'       => true,
	'active_callback'    => array(
		array(
			'setting'  => 'topbar_check',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

//Header - e-mail
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'header_email',
	'label'    => esc_html__( 'Top-Bar: E-mail', 'pandowp' ),
	'section'  => 'bearr_header',
	'type'     => 'text',
	'priority' => 10,
	'default'  => 'contact@yoursite.com',
	'active_callback'    => array(
		array(
			'setting'  => 'topbar_check',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );

//Header - Phone
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'header_phone',
	'label'    => esc_html__( 'Top-Bar: Phone', 'pandowp' ),
	'section'  => 'bearr_header',
	'type'     => 'text',
	'priority' => 10,
	'default'  => '+1-223-3344-34',
	'active_callback'    => array(
		array(
			'setting'  => 'topbar_check',
			'operator' => '==',
			'value'    => '1',
		),
	),
) );


//>> Footer ======================
//Footer - Background Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'footer_bg',
	'label'       => esc_html__( 'Footer: Background Color', 'pandowp' ),
	'section'     => 'bearr_footer',
	'default'     => '#333333',
	'priority'    => 10,
	'choices[alpha]'       => true,
) );

//Footer - Text Color
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'color',
	'settings'    => 'footer_color',
	'label'       => esc_html__( 'Footer: Text Color', 'pandowp' ),
	'section'     => 'bearr_footer',
	'default'     => '#ffffff',
	'priority'    => 10,
	'choices[alpha]'       => true,
) );

//Footer - Background Image
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'        => 'image',
	'settings'    => 'footer_bg_image',
	'label'       => esc_html__( 'Footer: Background Image', 'pandowp' ),
	'description' => esc_html__( 'You can use a background image if you want. ', 'pandowp' ),
	'section'     => 'bearr_footer',
	'default'     => '',
	'priority'    => 10,	
) );

//Footer - Show Bot bar
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'botbar_check',
	'label'    => esc_html__( 'Show Bottom bar?', 'pandowp' ),
	'section'  => 'bearr_footer',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',
) );


//Footer- Bottom Text
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'type'     => 'text',
	'settings' => 'footer_bottom_text',
	'label'    => esc_html__( 'Footer: Bottom Text', 'pandowp' ),
	'section'  => 'bearr_footer',
	'default'  => esc_attr__( '', 'pandowp' ),
	'priority' => 11,
	'active_callback'    => array(
		array(
			'setting'  => 'botbar_check',
			'operator' => '==',
			'value'    => 1,
		),
	),
) );

//>> Social Networks ==================
//Facebook
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'facebook_check',
	'label'    => esc_html__( 'Show Facebook button?', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',
) );

bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'facebook',
	'label'    => esc_html__( 'Facebook URL', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'text',
	'priority' => 10,
	'default'  => 'http://www.facebook.com',
) );

//Twitter
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'twitter_check',
	'label'    => esc_html__( 'Show Twitter button?', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',
) );

bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'twitter',
	'label'    => esc_html__( 'Twitter URL', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'text',
	'priority' => 10,
	'default'  => 'http://www.twitter.com',
) );

//Instagram
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'instagram_check',
	'label'    => esc_html__( 'Show instagram button?', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',
) );

bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'instagram',
	'label'    => esc_html__( 'instagram URL', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'text',
	'priority' => 10,
	'default'  => 'http://www.instagram.com',
) );

//Youtube
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'youtube_check',
	'label'    => esc_html__( 'Show youtube button?', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',
) );

bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'youtube',
	'label'    => esc_html__( 'Youtube URL', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'text',
	'priority' => 10,
	'default'  => 'http://www.youtube.com',
) );

//Google Plus
bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'gplus_check',
	'label'    => esc_html__( 'Show google plus button?', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'toggle',
	'priority' => 10,
	'default'     => '1',
) );

bearr_theme_Kirki::add_field( 'bearr_theme_kc', array(
	'settings' => 'gplus',
	'label'    => esc_html__( 'Google Plus', 'pandowp' ),
	'section'  => 'bearr_social',
	'type'     => 'text',
	'priority' => 10,
	'default'  => 'http://plus.google.com',
) );

//>> Woocommerece ==================


//>> Extra Options ==================