<?php
/**
 * The header for our theme.
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package pando
 */

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1">
<link rel="profile" href="http://gmpg.org/xfn/11">
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="body">

<?php global $woocommerce;  ?>

<!-- Page Loader
========================================================= -->
<?php if ( true == get_theme_mod( 'loader_check', false ) ) : ?>
<?php get_template_part( 'template-parts/header', 'loader' ); ?>
<?php endif; ?>
<!-- /End of Page loader
========================================================= -->

<?php 
	$topbar = get_theme_mod( 'topbar_check', false );

	if ( $topbar == true ) {
		$topbar_page_class = 'with-top-bar';
	}
	else {
		$topbar_page_class = '';
	}
?>

<div id="page" class="site <?php echo esc_attr($topbar_page_class); ?>">
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'pandowp' ); ?></a>
	

	<?php 
		//Layout Variables
		$header_style = get_theme_mod( 'header_style', 'container' );
		if ( $header_style == 'fluid' ) : 
			$layout_header_class = 'container-fluid header-container-fluid';
		else :
			$layout_header_class = 'container';
		endif; 

		$header_fixed = get_theme_mod( 'header_fixed', 1 );
		if ( $header_fixed == 1 ) : 
			$fixed_topbar_class = 'topbar-fixed';
			$fixed_header_class = 'masthead-fixed';
		else :
			$fixed_topbar_class = '';
			$fixed_header_class = '';
		endif; 
	?>

	<!-- Top bar  -->
	<?php if ( $topbar == true ) : ?>
	<?php get_template_part( 'template-parts/header', 'topbar' ); ?>
	<?php endif; ?>
    <!-- /Top bar -->

	<!-- Header
	================================================== -->	
	<?php if ( true == get_theme_mod( 'header_check', true ) ) : ?>
	<?php get_template_part( 'template-parts/header', 'header' ); ?>
	<?php endif; ?>
	<!-- /Header
	================================================== -->