//Use Strict Mode
(function ($) {
    "use strict";

    var windowHeight = $(window).height();

    //Adjust Viewport
    function adjustViewport() {
        windowHeight = $(window).height();
        $('.adjustviewport').css('min-height', windowHeight);
        $('.sliderviewport .viewport').css('min-height', windowHeight);
        return false;
    }

    //Fix Headerheight
    function headerHeight() {
        var topBarH = $('#top-bar').outerHeight();
        var mastheadH = $('#masthead').outerHeight();
        var headerH = mastheadH+topBarH;
        var pageHeading = $('.bearr-page-heading');             
        var pageContent = $('#primary');
        var pageContent2 = $('#primary-nopadding');

        var pageHero = $('.bearr-mini-hero');                

        pageHeading.css( "padding-top", headerH+30);
        pageHero.css( "padding-top", headerH+80);

        setTimeout(function(){

            var pageHeadingPT = pageHeading.outerHeight();
            var pageHeroH = pageHero.outerHeight();  

           if (pageHeadingPT > 0 ) { 
                //pageHeading.css( "opacity", 1 );      
                pageContent.css( "padding-top", pageHeadingPT+40 );  
                pageContent2.css( "padding-top", pageHeadingPT );          
            }
            else if( pageHeroH > 0 ) {
                pageHero.css( "opacity", 1 );
                pageContent.css( "padding-top", pageHeroH+40 );
                pageContent2.css( "padding-top", pageHeroH );
            }
            else {
                pageContent.css( "padding-top", headerH+30 );
            }   
          return false;
        }, 1);                    
    }    

    //Remove loading-wrapper class before window load
    setTimeout(function(){
      $('.loading-wrapper').removeClass('loading-wrapper-hide');      
      return false;
    }, 10);
       
    //Begin - Window Load
    $(window).load(function () {  

        //Page Loader 
        setTimeout(function(){
            $('#loader-name').addClass('loader-up');
            $('#loader-job').addClass('loader-up');
            $('#loader-animation').addClass('loader-up');
            return false;
        }, 500); 
        setTimeout(function(){
            $('#page-loader').addClass('loader-out');
            //$('#intro-item1').addClass('active');
            return false;    
        }, 1100);  
        setTimeout(function(){
            $('.slide-title').addClass('active');
            $('.slide-text').addClass('active');
            $('.slide-btn').addClass('active'); 
            $('.slide-extra').addClass('active');             
            $('#page-loader').hide();
            return false;    
        }, 1700);

        //WAYPOINTS
        $('#page').waypoint(function (direction) {
            if (direction === 'down') {
                adjustViewport();   
                $('#masthead').addClass('header-stick');
                $('#back-to-top').removeClass('back-to-top-hide');
                $('#top-bar').addClass("topbar-hide");
            } else {
                $('#masthead').removeClass('header-stick');
                $('#back-to-top').addClass('back-to-top-hide');
                $('#top-bar').removeClass("topbar-hide");
            }
        }, {
            offset: '-20px'
        });

        //Blog Styles - Masonry
        var $blogcontainer = $('.bearr-blog-masonry');
        var $bloggrid = $('.bearr-blog-masonry').isotope({
            itemSelector: 'article'
        });

        // Calling functions here
        adjustViewport();  

    });

    //Runs on window Resize
    $(window).resize(function() {
        // Calling functions here
        adjustViewport();
        headerHeight();
    });

    //Begin - Document Ready
    $(document).ready(function () {     

        // Calling functions here
        headerHeight();    

        //Bootstrap menu on hover 
        var dropdown = $('.dropdown');
        dropdown.on('mouseenter', function () {
            $(this).addClass('open');
            return false;
        }); 

        dropdown.on('mouseleave', function () {
            $(this).removeClass('open');
            return false;
        });

        //Back to Top Btn
        $('.back-to-top').on('click', function () {
            $('html, body').animate({
                scrollTop: 0
            }, 700);
            return false;
        });        

        //Anchor Smooth Scroll
        $('.navbar-nav a[href*=#]:not([href=#])').on('click', function () {
            if (location.pathname.replace(/^\//, '') == this.pathname.replace(/^\//, '') && location.hostname == this.hostname) {
                var target = $(this.hash);
                target = target.length ? target : $('[name=' + this.hash.slice(1) + ']');
                if (target.length) {
                    $('html,body').animate({
                        scrollTop: target.offset().top
                    }, 1000);
                    return false;
                }
            }
        });
        

        //End - Document Ready
    });

    //End - Use Strict mode
})(jQuery);