<?php
/**
 * Template part for displaying posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package agenzia-package
 */

?>


<?php 
	/*========================================================
	* Get the Custom Fields for Portfolio Port Type (BeaRR Portfolio)
	==========================================================*/
	
	//Subtitle
	$bearr_portfolio_subtitle = rwmb_meta( 'bearr_portfolio_subtitle' );	
	
	//Hero Image
	$bearr_portfolio_heros = rwmb_meta( 'bearr_portfolio_hero', 'size=bearragenzia_imgsize_1' );
	if (!empty($bearr_portfolio_heros)) {	
		foreach ( $bearr_portfolio_heros as $bearr_portfolio_hero ) {
		   $bearr_portfolio_hero_url = $bearr_portfolio_hero['url'];
		}	
	}
	else {
		$bearr_portfolio_hero_url = '';
	}

	//Client
	$bearr_portfolio_client = rwmb_meta( 'bearr_portfolio_client' );

	//URL
	$bearr_portfolio_url = rwmb_meta( 'bearr_portfolio_url' );

	//Gallery
	$bearr_portfolio_gallery_images = rwmb_meta( 'bearr_portfolio_gallery', 'size=bearragenzia_imgsize_1' );
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="post-portfolio">

		<!-- Portfolio Single Hero -->
		<div class="portfolio-hero" style="background-image: url('<?php echo esc_url($bearr_portfolio_hero_url); ?>');">
			<div class="container">
				<h1 class="portfolio-hero-title"><?php the_title(); ?></h2>
				<?php if (!empty($bearr_portfolio_subtitle)) : ?>
					<h2 class="portfolio-hero-subtitle"><?php echo esc_html($bearr_portfolio_subtitle); ?></h1>
				<?php endif; ?>
			</div>
		</div>
		<!-- /portfolio Single Hero -->
		
		<!-- Portfolio Content -->
		<div class="container">
			<div class="post-portfolio-content">

				<!-- row -->
				<div class="row">
					<!-- col -->
					<div class="col-sm-8">
						<!-- Project Description -->
						<div class="post-portfolio-description">
							<?php the_content(); ?>
						</div>
						<!-- /Project Description -->
					</div>
					<!-- /col -->
					<!-- col -->
					<div class="col-sm-4">
						<!-- Project Meta -->
						<div class="post-portfolio-meta">

							<?php if (!empty($bearr_portfolio_client)) : ?>
								<!-- Client -->
								<div class="post-portfolio-meta-item">
									<h4 class="portfolio-meta-item-title"><i class="fa-user"></i> Client</h4>
									<p class="portfolio-meta-item-content"><?php echo esc_html($bearr_portfolio_client); ?></p>
								</div>
								<!-- /Client -->
							<?php endif; ?>

							<!-- Category -->
							<div class="post-portfolio-meta-item">
								<h4 class="portfolio-meta-item-title"><i class="fa-tag"></i> Category</h4>
								<p class="portfolio-meta-item-content">
									<?php $terms = get_the_terms( $post->ID , 'portfoliocategory' ); ?>
									<?php 
										if (is_array($terms) || is_object($terms)) {
											foreach ( $terms as $term ) :
												$thisterm = $term->name;
												$thistermslug = $term->slug;
												echo '<span class="post-portfolio-category">'.esc_html($thisterm).'</span>';
											endforeach;	
										}
									?>
								</p>
							</div>
							<!-- /Category -->
							
							<?php if (!empty($bearr_portfolio_url)) : ?>
								<!-- Website -->
								<div class="post-portfolio-meta-item">
									<h4 class="portfolio-meta-item-title"><i class="fa-link"></i> Website</h4>
									<p class="portfolio-meta-item-content"><a href="<?php echo esc_url($bearr_portfolio_url); ?>" target="_blank"><?php echo esc_url($bearr_portfolio_url); ?></a></p>
								</div>
								<!-- /Website -->
							<?php endif; ?>

						</div>
						<!-- /Project Meta -->
					</div>
					<!-- /col -->
				</div>
				<!-- /row -->							

			</div>	
		</div>			
		<!-- /Portfolio Content -->

		<!-- Portfolio Gallery -->
		<div class="container">
			<div class="post-portfolio-gallery">			

				<!-- row -->
				<div class="row">
					<?php if (!empty($bearr_portfolio_gallery_images)) :
						foreach ( $bearr_portfolio_gallery_images as $bearr_portfolio_gallery_image ) { 
							$bearr_portfolio_gallery_image_url = $bearr_portfolio_gallery_image['url'];
						?>
							<!-- col -->
							<div class="col-sm-6">
								<!-- Portfolio Gallery Item -->
								<div class="portfolio-gallery-item">
									<a href="<?php echo esc_url($bearr_portfolio_gallery_image_url); ?>" style="background-image: url('<?php echo esc_url($bearr_portfolio_gallery_image_url); ?>');" class="lightbox-image">										
									</a>
								</div>
								<!-- /Portfolio Gallery Item -->
							</div>
							<!-- /col -->
						<?php }
					endif; ?>
				</div>
				<!-- /row -->					

			</div>
		</div>
		<!-- /Portfolio Gallery -->

	</div>	
</article><!-- #post-## -->