<?php
/**
 * Template part for custom header on pages & posts.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package pando
 */

?>

<?php 
	
function pandoprefix_customheader_scripts() {
	//Modernizr		
	wp_enqueue_script( 'modernizr-custom', get_template_directory_uri() . '/vendor/modernizr-custom.js', array(), '20151215', true );

	//SkrollR
	wp_enqueue_script( 'skrollr', get_template_directory_uri() . '/vendor/skrollr.min.js', array(), '20151215', true );

	//Cutom Header JS
	wp_enqueue_script( 'bearr-customheader-js', get_template_directory_uri() . '/js/custom-header.js', array(), '20151215', true );
}

?>

<!-- Section: Mini Hero -->
<?php if( class_exists( 'RWMB_Loader' ) ) { ?>

	<?php $bearr_mini_hero_textalign = rwmb_meta( 'bearr_header_text_align' ); ?>

		<?php if ( empty( $bearr_mini_hero_textalign ) ) : 

			$bearr_mini_hero_textalign = 'left';

		endif; ?> 

	<?php $bearr_mini_hero_text_color = rwmb_meta( 'bearr_mini_hero_text_color' );  ?>

		<?php if ( empty( $bearr_mini_hero_text_color ) ) : 

			$bearr_mini_hero_color = '#ffffff';

		endif; ?> 

	<?php $bearr_mini_hero_color = rwmb_meta( 'bearr_mini_hero_color' ); ?>

		<?php if ( empty( $bearr_mini_hero_color) ) : ?> 
			<?php $bearr_mini_hero_color = '#333333' ?>
		<?php endif; ?>

	<?php $bearr_mini_hero_style = rwmb_meta( 'bearr_header_type' ); ?>

	<?php if ( $bearr_mini_hero_style == 'image' ) :  ?>

		<!-- Enqueue Skrollr -->
		<?php pandoprefix_customheader_scripts(); ?>

		<!-- Image Background Header -->
		<?php $bearr_mini_hero_images = rwmb_meta( 'bearr_mini_hero_image', 'size=pandoprefix_full_hd' );
		
			if ( !empty( $bearr_mini_hero_images ) ) : 

				foreach ( $bearr_mini_hero_images as $bearr_mini_hero_single_image) {
				   $bearr_mini_hero_image = esc_url( $bearr_mini_hero_single_image['url'] );
				} 

			else:
				$bearr_mini_hero_image = '';
			endif; 
		?>
		<?php $page_subtitle = rwmb_meta( 'bearr_page_subtitle' ); ?> 
		<div class="bearr-mini-hero" style="background-image: url(<?php echo esc_url($bearr_mini_hero_image); ?>);" data-start="background-position:0 0px" data-top-bottom="background-position: 0 -200px">

			<div class="container" style="text-align: <?php echo esc_attr($bearr_mini_hero_textalign); ?>" data-start="opacity: 1;" data-top="opacity: 0;">
				<h1 class="bearr-mini-hero-title with-border" style="color: <?php echo esc_attr($bearr_mini_hero_text_color); ?>"><?php the_title(); ?></h1>
				<?php if ( !empty( $page_subtitle ) ) : ?>    
	            	<h2 class="bearr-mini-hero-subtitle" style="color: <?php echo esc_attr($bearr_mini_hero_text_color); ?>"><?php echo esc_html( $page_subtitle ); ?></h2>	
	            <?php endif; ?>
							
			</div>
		</div>
		<!-- /Image Background Header -->	

	<?php elseif ( $bearr_mini_hero_style == 'color' ) :  ?>

		<!-- Enqueue Skrollr -->
		<?php pandoprefix_customheader_scripts(); ?>

		<!-- Custom Color Background Header -->
		<?php $page_subtitle = rwmb_meta( 'bearr_page_subtitle' ); ?> 
		<div class="bearr-mini-hero bearr-mini-hero-color-bg" style="background-color: <?php echo esc_attr($bearr_mini_hero_color); ?> ;">

			<div class="container" style="text-align: <?php echo esc_attr($bearr_mini_hero_textalign); ?>" data-start="opacity: 1;" data-top="opacity: 0;">
				<h1 class="bearr-mini-hero-title with-border" style="color: <?php echo esc_attr($bearr_mini_hero_text_color); ?>"><?php the_title(); ?></h1>
				<?php if ( !empty( $page_subtitle ) ) : ?>    
	            	<h2 class="bearr-mini-hero-subtitle" style="color: <?php echo esc_attr($bearr_mini_hero_text_color); ?>"><?php echo esc_html( $page_subtitle ) ?></h2>	
	            <?php endif; ?>
							
			</div>
		</div>
		<!-- /Custom Color Background Header -->

	<?php else : ?>

		<!-- Classic Header -->
		<div class="bearr-page-heading">
		    <div class="container">
		        <div class="row">
		            <div class="col-xs-12">
		                <?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
		                <?php $page_subtitle = rwmb_meta( 'bearr_page_subtitle' ); ?> 
	                    <?php if ( !empty( $page_subtitle ) ) : ?>
	                        <p class="page-tagline"><?php echo esc_html($page_subtitle); ?></p>      
		                <?php endif; ?>
	                </div>
		        </div>
		    </div>
		</div>
		<!-- /Classic Header -->
		
	<?php endif;  ?>

<?php } else {?>

	<!-- Classic Header -->
	<div class="bearr-page-heading">
	    <div class="container">
	        <div class="row">
	            <div class="col-xs-12">
	                <?php the_title( '<h1 class="page-title">', '</h1>' ); ?>
                </div>
	        </div>
	    </div>
	</div>
	<!-- /Classic Header -->

<?php } ?>
<!-- /Section: Mini Hero -->