<?php
/**
 * Template part for Header Top Bar
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package pando
 */

$topbar = get_theme_mod( 'topbar_check', false );

if ( $topbar == true ) {
	$topbar_page_class = 'with-top-bar';
}
else {
	$topbar_page_class = '';
}

//Layout Variables
$header_style = get_theme_mod( 'header_style', 'container' );
if ( $header_style == 'fluid' ) : 
	$layout_header_class = 'container-fluid header-container-fluid';
else :
	$layout_header_class = 'container';
endif; 

$header_fixed = get_theme_mod( 'header_fixed', 1 );
if ( $header_fixed == 1 ) : 
	$fixed_topbar_class = 'topbar-fixed';
	$fixed_header_class = 'masthead-fixed';
else :
	$fixed_topbar_class = '';
	$fixed_header_class = '';
endif; 

//Header Transparency
if( class_exists( 'RWMB_Loader' ) ) { 

	$bearr_header_transparency_class = rwmb_meta( 'bearr_header_background' );

} else {

	$bearr_header_transparency_class = 'header-bg-default';

}

?>

	<header id="masthead" class="site-header <?php echo esc_attr($fixed_header_class); ?> <?php echo esc_attr($bearr_header_transparency_class); ?> " role="banner">	
	    <!-- Main header -->
		<div class="<?php echo esc_attr( $layout_header_class ); ?>">		
			<!-- Navbar Header -->
            <div class="row">

                <!-- Main Navigation -->
                <div class="col-xs-12">

                    <nav class="navbar navbar-default" role="navigation"> 

                    	<div class="row masthead-row">
                    		<?php 
	                    		$headercart_check = get_theme_mod( 'topcart_check', '1' );
	                    		
	                    		if ( class_exists( 'WooCommerce' ) &&  $headercart_check == 1 ) { 
									$woocommercecol = 'col-sm-10 col-md-11';
	                    		} else {
	                    			$woocommercecol = '';
	                    		}
                    		?>
                    		<!-- col -->
                    		<div class="col-xs-12 <?php echo $woocommercecol; ?> masthead-wrapper">
                    			<!-- Brand and toggle get grouped for better mobile display --> 
								<div class="navbar-header"> 
								  	<!-- Mobile Menu Button -->
								    <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse"> 
									    <span class="sr-only">Toggle navigation</span> 
									    <span class="icon-bar"></span> 
									    <span class="icon-bar"></span> 
									    <span class="icon-bar"></span> 
								    </button> 
									<!-- /Mobile Menu Button -->

									<!-- Logo -->
									<div class="header-logo">
								    	<?php if ( function_exists( 'the_custom_logo' ) && has_custom_logo() ) {
											the_custom_logo();
										} else { ?>
											<?php
											if ( is_front_page() && is_home() ) : ?>								
												<h1 class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></h1>
											<?php else : ?>
												<p class="site-title"><a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a></p>
											<?php endif;
											$description = get_bloginfo( 'description', 'display' );
											if ( $description || is_customize_preview() ) : ?>
												<!--<p class="site-description"><?php echo esc_html( $description ); /* WPCS: xss ok. */ ?></p>-->
											<?php endif; ?>
										<?php } ?>
									</div> 
									<!-- /logo -->
								</div> 
								<!-- / Brand and toggle --> 

								<!-- Navigation --> 
								<div class="collapse navbar-collapse navbar-ex1-collapse"> 
									<?php /* Primary navigation */
										wp_nav_menu( array(
											'theme_location'    => 'primary',
											'menu' => '',
											'depth' => 2,
											'container' => false,
											'menu_class' => 'nav navbar-nav',
											'fallback_cb'       => 'bearr_wp_bootstrap_navwalker::fallback',
					                		'walker'            => new bearr_wp_bootstrap_navwalker())
										);
									?>						    
							  	</div>						
								<!-- /navigation -->
                    		</div>
                    		<!-- /col -->

                    		<!-- col -->
                    		<?php if ( class_exists( 'WooCommerce' ) &&  $headercart_check == 1 ) { ?>

	                    		<div class="col-sm-2 col-md-1 bearr-wc-header-cart-wrapper">
	                    			<div class="bearr-wc-header-cart">			                		
					                	
					 						<?php 
					                		global $woocommerce; 
					                		$cart_total = $woocommerce->cart->get_cart_total();

										    $count = WC()->cart->cart_contents_count; ?>
										    <a class="cart-contents" href="<?php echo WC()->cart->get_cart_url(); ?>" title="<?php _e( 'View your shopping cart', 'pandowp' ); ?>"><?php 
											    if ( $count > 0 ) {
											        ?>
											        <span class="cart-contents-count"><?php echo esc_html( $count ); ?> </span>
											        <?php
											    }
											        ?>
										    </a>
										
										<div class="bearr-wc-header-cart-hover">
											<?php 
												// Check for WooCommerce 2.0 and display the cart widget
												if ( version_compare( WOOCOMMERCE_VERSION, "2.0.0" ) >= 0 ) {
													the_widget( 'WC_Widget_Cart', 'title= ' );
												} else {
													the_widget( 'WooCommerce_Widget_Cart', 'title= ' );
												}
											?>
										</div>
				                	</div>
	                    		</div>
	                    	<?php } ?>
                    		<!-- /col -->
                    	</div>						
					</nav>
                </div>
                <!-- Main Navigation -->
                        			 
			</div> 
			<!-- /Navbar Header -->	 
		</div>
		<!-- /Main header -->
	</header>