<?php
/**
 * Template part for Header Top Bar
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package pando
 */

$topbar = get_theme_mod( 'topbar_check', true );

if ( $topbar == true ) {
	$topbar_page_class = 'with-top-bar';
}
else {
	$topbar_page_class = '';
}

//Layout Variables
$header_style = get_theme_mod( 'header_style', 'container' );
if ( $header_style == 'fluid' ) : 
	$layout_header_class = 'container-fluid header-container-fluid';
else :
	$layout_header_class = 'container';
endif; 

$header_fixed = get_theme_mod( 'header_fixed', 1 );
if ( $header_fixed == 1 ) : 
	$fixed_topbar_class = 'topbar-fixed';
	$fixed_header_class = 'masthead-fixed';
else :
	$fixed_topbar_class = '';
	$fixed_header_class = '';
endif; 

?>

	<div id="top-bar" class="<?php echo esc_attr($fixed_topbar_class); ?>">
        <div class="<?php echo esc_attr( $layout_header_class ); ?>">
            <div class="row">
                <div class="col-md-4">
                	<div class="topbar-right-text">
                		<ul class="list-inline">
	                    	<?php 
	                    		$header_mail = get_theme_mod( 'header_email', 'contact@yoursite.com' );
	                    		$header_phone = get_theme_mod( 'header_phone', '8897-7778 000' );
	                    		if ( !empty( $header_mail ) ) : 
	                    	?>
	                        	<li class="top-bar-item"><a href="mailto:<?php echo esc_html($header_mail); ?> "><i class="fa fa-envelope"></i><?php echo esc_html($header_mail); ?></a></li>
	                        <?php 
	                        	endif;
	                        	if ( !empty( $header_phone ) ) :
	                        ?>
	                        	<li class="top-bar-item"><a href="tel:<?php echo esc_html($header_phone); ?>"><i class="fa fa-phone"></i><?php echo esc_html($header_phone); ?></a></li>
	                    	<?php endif; ?>
	                    </ul>
                	</div>                    
                </div>
                <div class="col-md-8 text-right"> 
                	<!-- Logged as -->
                	<!--<?php  if (is_user_logged_in() ) { ?>
                		<?php global $user_login; ?>
						<div class="top-header-login">
							<span>You are logged as <strong><?php echo $user_login; ?></strong></span>
	                	</div>
                    <?php } ?>  -->             	
                	<!-- /Logged as -->               	
                   <!-- Top Header Menu -->
                   <?php
					if ( has_nav_menu( 'secondary') ) { ?>
					   <div class="top-header-menu">
					   		
	                   		<?php /* Secondary navigation */
								wp_nav_menu( array(
									'theme_location'    => 'secondary',
									'menu' => '',
									'depth' => 1,
									'container' => false,
									'menu_class' => '',
									'fallback_cb'       => 'bearr_wp_bootstrap_navwalker::fallback',
			                		'walker'            => new bearr_wp_bootstrap_navwalker())
								);
							?>	
	                   </div>
					<?php }	?>                   
                   	<!-- /Top Header Menu -->
                   	<!-- social icons -->
        			 <div class="social-icons header-social-icons">
                        <ul class="social-icons list-inline text-right">
                        	<?php if ( true == get_theme_mod( 'facebook_check', true ) ) : ?>
								<li><a href="<?php echo esc_url( get_theme_mod( 'facebook' ) ); ?>" target="_blank"><i class="fa fa-facebook"></i></a></li>
							<?php endif; ?>
							<?php if ( true == get_theme_mod( 'twitter_check', true ) ) : ?>
								<li><a href="<?php echo esc_url( get_theme_mod( 'twitter' ) ); ?>" target="_blank"><i class="fa fa-twitter"></i></a></li>
							<?php endif; ?>
                            <?php if ( true == get_theme_mod( 'instagram_check', true ) ) : ?>
								<li><a href="<?php echo esc_url( get_theme_mod( 'instagram' ) ); ?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
							<?php endif; ?>
                            <?php if ( true == get_theme_mod( 'youtube_check', true ) ) : ?>
								<li><a href="<?php echo esc_url( get_theme_mod( 'youtube' ) ); ?>" target="_blank"><i class="fa fa-youtube"></i></a></li>
							<?php endif; ?>
							<?php if ( true == get_theme_mod( 'gplus_check', true ) ) : ?>
								<li><a href="<?php echo esc_url( get_theme_mod( 'gplus' ) ); ?>" target="_blank"><i class="fa fa-google-plus"></i></a></li>
							<?php endif; ?>
                        </ul>
                    </div>
        			<!-- /social icons -->      
                </div>
                	
            </div>
        </div>
    </div>