<?php
/*template name: Page Builder (With Header) */
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package pando
 */

get_header(); ?>
	<!-- == CONTENT AREA == -->
	<?php $bg_image = esc_url(get_theme_mod( 'body_bg_image', '' )); ?>
	<div id="primary-nopadding" class="content-area content-area-custom" style="background-image: url(<?php echo esc_url($bg_image); ?>)">

		<!-- == Page Heading == -->
		<?php get_template_part( 'template-parts/custom', 'header' ); ?>	
		<!-- == /Page Heading == -->

		<!-- Page Content -->
        <div class="page-content-fluid">
        	<?php while ( have_posts() ) : the_post(); ?>
        		<?php the_content(); ?>
        	<?php endwhile; // End of the loop. ?>
        </div>
        <!-- /page Content -->

		
	</div>
	<!-- == /CONTENT AREA == -->

<?php get_footer(); ?>