<?php
/*template name: No Sidebar*/
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package pando
 */

get_header(); ?>	

	<!-- == CONTENT AREA == -->
	<?php $bg_image = esc_url(get_theme_mod( 'body_bg_image', '' )); ?>
	<div id="primary" class="content-area" style="background-image: url(<?php echo esc_url($bg_image); ?>)">		

		<!-- == Page Heading == -->
		<?php get_template_part( 'template-parts/custom', 'header' ); ?>	
		<!-- == /Page Heading == -->

		<div class="container">
			<!-- row -->
			<div class="row">
				<!-- col -->				
				<div class="col-sm-12">
					<?php
					while ( have_posts() ) : the_post(); ?>
					<!-- main -->
					<main id="main" class="site-main" role="main">						

						<?php get_template_part( 'template-parts/content', 'page' ); ?>											

					</main>
					<!-- /main -->

					<!-- Comments -->
					
					<?php // If comments are open or we have at least one comment, load up the comment template.
					if ( comments_open() || get_comments_number() ) : ?>
						<?php comments_template(); ?>
					<?php endif;	?>	
					<!-- /comments -->

					<?php endwhile; // End of the loop. ?>
				</div>
				<!-- /col -->				
			</div>
			<!-- /row -->
		</div>		
	</div>
	<!-- == /CONTENT AREA == -->

<?php get_footer(); ?>