<?php
/**
 * The template for displaying all pages.
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

get_header(); ?>	

	<!-- == CONTENT AREA == -->
	<?php $bg_image = esc_url(get_theme_mod( 'body_bg_image', '' )); ?>
	<div id="primary" class="content-area" style="background-image: url(<?php echo esc_url($bg_image); ?>)">

		<!-- == Page Heading == -->
		<?php get_template_part( 'template-parts/wc', 'custom-header' ); ?>			
		<!-- == /Page Heading == -->	

		<div class="container">
			<!-- row -->
			<div class="row">
				<!-- col -->				
				<div class="col-sm-12">

						<?php while ( have_posts() ) : the_post(); ?>

							<?php wc_get_template_part( 'content', 'single-product' ); ?>

						<?php endwhile; // end of the loop. ?>

					<?php
						/**
						 * woocommerce_after_main_content hook.
						 *
						 * @hooked woocommerce_output_content_wrapper_end - 10 (outputs closing divs for the content)
						 */
						do_action( 'woocommerce_after_main_content' );
					?>
				</div>
				<!-- /col -->				
			</div>
			<!-- /row -->
		</div>		
	</div>
	<!-- == /CONTENT AREA == -->

<?php get_footer(); ?>